package com.chenyang.druid.sql.ast.expr;

public enum SQLUnaryOperator {
   Plus("+"),
   Negative("-"),
   Not("!"),
   Compl("~"),
   Abs("@"),
   Prior("PRIOR"),
   ConnectByRoot("CONNECT BY"),
   BINARY("BINARY"),
   RAW("RAW"),
   NOT("NOT"),
   Pound("#"),
   IsASet("IS A SET"),
   IsNotASet("IS NOT A SET"),
   IsEmpty("IS EMPTY"),
   IsNotEmpty("IS NOT EMPTY"),
   Sqrt("|/"),
   Cubet("||/"),
   FactorialSuffix("!"),
   FactorialPrefix("!!");

   public final String name;

   private SQLUnaryOperator(String name) {
      this.name = name;
   }
}
